data:
  class_path: suno_boost.data.CorruptAudioDataModule
  init_args:
    train_audio_dir: /app/suno/christian/data/codec_audio/genius_hq
    val_audio_dir: /app/suno/christian/data/codec_audio/reference-audio-wav
    num_frames: 262144
    batch_size: 8
    num_workers: 8
    sample_rate: 48000
    mp3_codec: 0.5
    target_loudness_lufs_db: -20.0
    codec_names: 
      - dac_2c_25x12
    corrupts: 
      - stereo_to_mono
    corrupt_probs:
      - 0.9
    ffmpeg_filters: 
      - highpass
      - lowpass
    ffmpeg_filter_probs:
      - 0.1
      - 0.1